<template functional>
  <div
    :ref="data.ref"
    class="flex flex-col items-center"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <svg-icon
      v-if="props.icon"
      :icon="props.icon"
      class="h-24 w-24 mb-4 text-orange-600"
    />
    <h3 v-if="props.title" class="h4 m-0 text-center">{{ props.title }}</h3>
    <div class="markdown" v-html="props.text" />
  </div>
</template>

<script>
export default {
  name: 'ConceptItem',
  props: {
    icon: { type: String, default: undefined },
    title: { type: String, default: undefined },
    text: { type: String, required: true },
  },
};
</script>
